<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: /workplace/avs-device-sdk/KWD/Sensory/include/Sensory/SensoryKeywordDetector.h File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.13.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_d0ae40f34093660421d9f00fd3d110f5.html">KWD</a></li><li class="navelem"><a class="el" href="dir_3b650c7af5a92e78b431c566d27e27fb.html">Sensory</a></li><li class="navelem"><a class="el" href="dir_53b42e3f321e6fe3756d7d815e459c61.html">include</a></li><li class="navelem"><a class="el" href="dir_cee562da2aae732442ef025e38e67ff6.html">Sensory</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#nested-classes">Classes</a> &#124;
<a href="#namespaces">Namespaces</a>  </div>
  <div class="headertitle">
<div class="title">SensoryKeywordDetector.h File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><code>#include &lt;atomic&gt;</code><br />
<code>#include &lt;string&gt;</code><br />
<code>#include &lt;thread&gt;</code><br />
<code>#include &lt;unordered_set&gt;</code><br />
<code>#include &lt;<a class="el" href="_audio_format_8h_source.html">AVSCommon/Utils/AudioFormat.h</a>&gt;</code><br />
<code>#include &lt;<a class="el" href="_audio_input_stream_8h_source.html">AVSCommon/AVS/AudioInputStream.h</a>&gt;</code><br />
<code>#include &lt;<a class="el" href="_key_word_observer_interface_8h_source.html">AVSCommon/SDKInterfaces/KeyWordObserverInterface.h</a>&gt;</code><br />
<code>#include &lt;<a class="el" href="_key_word_detector_state_observer_interface_8h_source.html">AVSCommon/SDKInterfaces/KeyWordDetectorStateObserverInterface.h</a>&gt;</code><br />
<code>#include &quot;<a class="el" href="_abstract_keyword_detector_8h_source.html">KWD/AbstractKeywordDetector.h</a>&quot;</code><br />
<code>#include &quot;snsr.h&quot;</code><br />
</div><div class="textblock"><div class="dynheader">
Include dependency graph for SensoryKeywordDetector.h:</div>
<div class="dyncontent">
<div class="center"><img src="_sensory_keyword_detector_8h__incl.png" border="0" usemap="#_2workplace_2avs-device-sdk_2_k_w_d_2_sensory_2include_2_sensory_2_sensory_keyword_detector_8h" alt=""/></div>
<map name="_2workplace_2avs-device-sdk_2_k_w_d_2_sensory_2include_2_sensory_2_sensory_keyword_detector_8h" id="_2workplace_2avs-device-sdk_2_k_w_d_2_sensory_2include_2_sensory_2_sensory_keyword_detector_8h">
<area shape="rect" id="node6" href="_audio_format_8h.html" title="AVSCommon/Utils/AudioFormat.h" alt="" coords="720,192,942,217"/>
<area shape="rect" id="node8" href="_audio_input_stream_8h.html" title="AVSCommon/AVS/AudioInput\lStream.h" alt="" coords="218,279,416,317"/>
<area shape="rect" id="node38" href="_key_word_observer_interface_8h.html" title="AVSCommon/SDKInterfaces\l/KeyWordObserverInterface.h" alt="" coords="499,185,696,224"/>
<area shape="rect" id="node39" href="_key_word_detector_state_observer_interface_8h.html" title="AVSCommon/SDKInterfaces\l/KeyWordDetectorStateObserver\lInterface.h" alt="" coords="965,179,1181,231"/>
<area shape="rect" id="node40" href="_abstract_keyword_detector_8h.html" title="KWD/AbstractKeywordDetector.h" alt="" coords="347,105,565,131"/>
<area shape="rect" id="node9" href="_in_process_s_d_s_8h.html" title="AVSCommon/Utils/SDS\l/InProcessSDS.h" alt="" coords="228,365,390,404"/>
<area shape="rect" id="node13" href="_shared_data_stream_8h.html" title="SharedDataStream.h" alt="" coords="1143,452,1289,477"/>
<area shape="rect" id="node17" href="_logger_utils_8h.html" title="AVSCommon/Utils/Logger\l/LoggerUtils.h" alt="" coords="1003,599,1179,637"/>
<area shape="rect" id="node31" href="_buffer_layout_8h.html" title="BufferLayout.h" alt="" coords="819,525,927,551"/>
<area shape="rect" id="node32" href="_reader_8h.html" title="Reader.h" alt="" coords="1424,525,1499,551"/>
<area shape="rect" id="node36" href="_writer_8h.html" title="Writer.h" alt="" coords="1182,525,1250,551"/>
<area shape="rect" id="node19" href="_logger_8h.html" title="AVSCommon/Utils/Logger\l/Logger.h" alt="" coords="1003,685,1179,724"/>
<area shape="rect" id="node21" href="_configuration_node_8h.html" title="AVSCommon/Utils/Configuration\l/ConfigurationNode.h" alt="" coords="922,772,1136,811"/>
<area shape="rect" id="node24" href="_level_8h.html" title="AVSCommon/Utils/Logger\l/Level.h" alt="" coords="593,859,769,897"/>
<area shape="rect" id="node25" href="_log_entry_8h.html" title="AVSCommon/Utils/Logger\l/LogEntry.h" alt="" coords="1363,772,1539,811"/>
<area shape="rect" id="node29" href="_log_level_observer_interface_8h.html" title="AVSCommon/Utils/Logger\l/LogLevelObserverInterface.h" alt="" coords="651,772,848,811"/>
<area shape="rect" id="node30" href="_sink_observer_interface_8h.html" title="AVSCommon/Utils/Logger\l/SinkObserverInterface.h" alt="" coords="1837,945,2013,984"/>
<area shape="rect" id="node26" href="_log_entry_stream_8h.html" title="AVSCommon/Utils/Logger\l/LogEntryStream.h" alt="" coords="1779,859,1955,897"/>
<area shape="rect" id="node27" href="_log_entry_buffer_8h.html" title="AVSCommon/Utils/Logger\l/LogEntryBuffer.h" alt="" coords="1587,945,1763,984"/>
<area shape="rect" id="node35" href="_reader_policy_8h.html" title="ReaderPolicy.h" alt="" coords="1691,605,1802,631"/>
<area shape="rect" id="node37" href="_writer_policy_8h.html" title="WriterPolicy.h" alt="" coords="1253,605,1355,631"/>
</map>
</div>
</div><div class="textblock"><div class="dynheader">
This graph shows which files directly or indirectly include this file:</div>
<div class="dyncontent">
<div class="center"><img src="_sensory_keyword_detector_8h__dep__incl.png" border="0" usemap="#_2workplace_2avs-device-sdk_2_k_w_d_2_sensory_2include_2_sensory_2_sensory_keyword_detector_8hdep" alt=""/></div>
<map name="_2workplace_2avs-device-sdk_2_k_w_d_2_sensory_2include_2_sensory_2_sensory_keyword_detector_8hdep" id="_2workplace_2avs-device-sdk_2_k_w_d_2_sensory_2include_2_sensory_2_sensory_keyword_detector_8hdep">
<area shape="rect" id="node2" href="_sensory_keyword_detector_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/KWD/Sensory/src\l/SensoryKeywordDetector.cpp" alt="" coords="5,105,206,157"/>
<area shape="rect" id="node3" href="_sensory_keyword_detector_test_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/KWD/Sensory/test\l/SensoryKeywordDetectorTest.cpp" alt="" coords="230,105,456,157"/>
</map>
</div>
</div>
<p><a href="_sensory_keyword_detector_8h_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="nested-classes"></a>
Classes</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1kwd_1_1_sensory_keyword_detector.html">alexaClientSDK::kwd::SensoryKeywordDetector</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="namespaces"></a>
Namespaces</h2></td></tr>
<tr class="memitem:namespacealexa_client_s_d_k"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k.html">alexaClientSDK</a></td></tr>
<tr class="memdesc:namespacealexa_client_s_d_k"><td class="mdescLeft">&#160;</td><td class="mdescRight">Whether or not curl logs should be emitted. <br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:namespacealexa_client_s_d_k_1_1kwd"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1kwd.html">alexaClientSDK::kwd</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
</div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.13.0 - Copyright 2016-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
